# fix_modify AtC kernel

## syntax

fix_modify AtC kernel <type> <parameters>

- type (keyword) = step, cell, cubic_bar, cubic_cylinder, cubic_sphere, quartic_bar, quartic_cylinder, quartic_sphere
- parameters :
  step = radius (double)
  cell = hx, hy, hz (double) or h (double)
  cubic_bar = half-width (double)
  cubic_cylinder = radius (double)
  cubic_sphere = radius (double)
  quartic_bar = half-width (double)
  quartic_cylinder = radius (double)
  quartic_sphere = radius (double)

## examples

`fix_modify AtC kernel cell 1.0 1.0 1.0`
`fix_modify AtC kernel quartic_sphere 10.0`

## description

## restrictions

Must be used with the hardy AtC fix
For bar kernel types, half-width oriented along x-direction
For cylinder kernel types, cylindrical axis is assumed to be in z-direction
( see fix atc command )

## related

## default

No default